Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Source-code libraries for standards-based RTP/RTCP/RTSP multimedia streaming
Name:		live
Version:	2008.07.25
Release:	1
License:	LGPL
URL:		http://live555.com
Group:		System/Libraries
Source0:	%{name}.%{version}.tar.gz
Patch0:		live-CFLAGS.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	findutils gcc
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
Source-code libraries for standards-based RTP/RTCP/RTSP multimedia streaming, 
suitable for embedded and/or low-cost streaming applications

%package        devel
Summary:        header files for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
header files for %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n %{name}
%patch0 -p1

%build
./genMakefiles linux
make

%install
rm -rf %{buildroot}

install -d $RPM_BUILD_ROOT%{_libdir}/liveMedia/liveMedia
install -d $RPM_BUILD_ROOT%{_libdir}/liveMedia/groupsock
install -d $RPM_BUILD_ROOT%{_libdir}/liveMedia/UsageEnvironment
install -d $RPM_BUILD_ROOT%{_libdir}/liveMedia/BasicUsageEnvironment

install liveMedia/libliveMedia.a $RPM_BUILD_ROOT%{_libdir}/liveMedia/liveMedia
install groupsock/libgroupsock.a $RPM_BUILD_ROOT%{_libdir}/liveMedia/groupsock
install UsageEnvironment/libUsageEnvironment.a $RPM_BUILD_ROOT%{_libdir}/liveMedia/UsageEnvironment
install BasicUsageEnvironment/libBasicUsageEnvironment.a $RPM_BUILD_ROOT%{_libdir}/liveMedia/BasicUsageEnvironment

install -d $RPM_BUILD_ROOT%{_includedir}/liveMedia

install liveMedia/include/* $RPM_BUILD_ROOT%{_includedir}/liveMedia
install UsageEnvironment/include/* $RPM_BUILD_ROOT%{_includedir}/liveMedia
install BasicUsageEnvironment/include/* $RPM_BUILD_ROOT%{_includedir}/liveMedia
install groupsock/include/* $RPM_BUILD_ROOT%{_includedir}/liveMedia

mkdir -p %{buildroot}%{_bindir}
cp $(find testProgs -type f -perm +111) %{buildroot}%{_bindir}/
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 2008.07.25-1
- version update
* Sat Apr 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 2008.04.09-1
- version update
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 2006.11.16-1
- version update
* Thu Sep 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 2006.09.12-1
- version update
* Sat Jan 07 2006 Stefan Gottwald <gotti@ccux-linux.de> 2006.01.05-1
- Initial Release
